summaryrefslogtreecommitdiff
path: root/config/check.sh
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2009-08-02 13:31:02 +0200
committerPhil Sutter <phil@nwl.cc>2009-08-02 15:46:19 +0200
commit3a85fc1dd1b1b56049f8ab3ee1773da2d37bf72d (patch)
tree761b15b65c46d92bdef7ee2f463556699fd4e34d /config/check.sh
parentf03bc8974965da8f30d81412014a49b6c161a58a (diff)
take over linux-2.6 mconf at state 2.6.31-rc5
Diffstat (limited to 'config/check.sh')
-rwxr-xr-xconfig/check.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/config/check.sh b/config/check.sh
new file mode 100755
index 000000000..fa59cbf9d
--- /dev/null
+++ b/config/check.sh
@@ -0,0 +1,14 @@
+#!/bin/sh
+# Needed for systems without gettext
+$* -xc -o /dev/null - > /dev/null 2>&1 << EOF
+#include <libintl.h>
+int main()
+{
+ gettext("");
+ return 0;
+}
+EOF
+if [ ! "$?" -eq "0" ]; then
+ echo -DKBUILD_NO_NLS;
+fi
+